Resultados diarios
curl --request GET \
--url https://api.filexpress.app/api/external/hr/attendance-results \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/hr/attendance-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/hr/attendance-results"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/hr/attendance-results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": [
{
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"business_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"employee_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"employee_name": "María López",
"work_date": "2026-10-01",
"attendance_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"work_schedule_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"labor_rule_set_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"day_type": "regular",
"shift_kind": "day",
"status": "late",
"scheduled_minutes": 480,
"worked_minutes": 590,
"late_minutes": 10,
"early_leave_minutes": 0,
"ordinary_day_minutes": 480,
"ordinary_night_minutes": 0,
"overtime_day_minutes": 110,
"overtime_night_minutes": 0,
"breakdown": [
{
"category": "ordinary_day_regular",
"minutes": 480,
"multiplier": 1,
"amount": 0
},
{
"category": "overtime_day_regular",
"minutes": 110,
"multiplier": 2,
"amount": 15.58
}
],
"warnings": [],
"is_locked": false,
"calculated_at": "2026-10-02 06:00:12"
}
]
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Validation errors",
"errors": {
"start_date": [
"The start date field is required."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Resultados diarios
Cumplimiento y horas clasificadas por empleado y día (máximo 93 días).
Permiso requerido: hr.attendance_results
GET
/
hr
/
attendance-results
Resultados diarios
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Fecha inicial (YYYY-MM-DD)
Fecha final (YYYY-MM-DD)
Filtra por empleado.
Estado.
Available options:
compliant, late, early_leave, late_and_early_leave, absent, incomplete, on_leave, holiday, rest_day, worked_on_rest_day, worked_on_holiday, no_schedule Response
Éxito